<?php

	/*
	 * Addon tvssiteoffline
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: index.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$rexversion		= $REX['VERSION'] . $REX['SUBVERSION'];
	$thispage		= "tvssiteoffline";
	$thissubpage	= "settings";
	$baseURL		= 'index.php?page='.$thispage.'&amp;subpage='.$thissubpage;
	$tvssiteofflineIniFile		= $REX['INCLUDE_PATH'] . "/addons/" . $thispage . "/" . $thispage . ".ini";

	$siteoffline	= (rex_post('siteoffline', 'string', '') == "Offline") ? 0 : 1;
	$internal_link	= rex_post('internal_link', 'string', '');
	$external_link	= rex_post('external_link', 'string', '');
	$offline_message= rex_post('offline_message', 'string', '');
	$tsoid			= rex_post('tsoid', 'string', '');
	$show_offline_message= rex_post('show_offline_message', 'string', '');
	$mode			= rex_post('mode', 'string', '');
	$func			= rex_post('func', 'string', '');

//	print_r($_POST);

	if ($func == "write" && !isset($cancel))
	{
		
		$new_keys = "siteoffline=" . $siteoffline . chr(10);
		$new_keys .= "internal_link=" . $internal_link . chr(10);
		$new_keys .= "external_link=" . $external_link . chr(10);
		$new_keys .= "show_offline_message=" . $show_offline_message . chr(10);
		$offline_message = str_replace("!", "", $offline_message);
		$new_keys .= "offline_message=" . $offline_message . chr(10);
		$new_keys .= "tsoid=" . $tsoid . chr(10);

		$fh = fopen($tvssiteofflineIniFile, 'w') or die("Can't open " . $thispage . ".ini.");
		fwrite($fh, $new_keys);
		fclose($fh);
		echo rex_info("Einstellungen gespeichert!");
	}

	if (file_exists($tvssiteofflineIniFile)) {
		// $stringData = file_get_contents($tvssiteofflineIniFile);
		$settings = parse_ini_file($tvssiteofflineIniFile);
		
		$siteoffline		= $settings['siteoffline'];
		$internal_link		= $settings['internal_link'];
		if ($internal_link == 0) $internal_link = "";
		$external_link		= $settings['external_link'];
		$show_offline_message	= $settings['show_offline_message'];
		$offline_message	= htmlspecialchars_decode($settings['offline_message']);
		$tsoid				= $settings['tsoid'];
	}

?>

	<script type="text/javascript">
		function createUUID() {
			// http://www.ietf.org/rfc/rfc4122.txt
			var s = [];
			var hexDigits = "0123456789abcdef";
			for (var i = 0; i < 36; i++) {
				s[i] = hexDigits.substr(Math.floor(Math.random() * 0x10), 1);
			}
			s[14] = "4";  // bits 12-15 of the time_hi_and_version field to 0010
			s[19] = hexDigits.substr((s[19] & 0x3) | 0x8, 1);  // bits 6-7 of the clock_seq_hi_and_reserved to 01
			s[8] = s[13] = s[18] = s[23] = "-";

			var uuid = s.join("");
			return uuid;
		}
	</script>

	<div class="rex-addon-output-v2">

		<div id="rex-addon-editmode" class="rex-form">
		<form action="<?php echo $baseURL; ?>" name="<?php echo $thispage; ?>1" method="post">
			<fieldset class="rex-form-col-1">

			<input type="hidden" name="page" value="<?php echo $thispage; ?>" />
			<input type="hidden" name="subpage" value="<?php echo $thissubpage; ?>" />
			<input type="hidden" name="func" value="write" />
			<input type="hidden" name="func" value="write" />
			<input type="hidden" name="internal_link" value="<?php echo $internal_link; ?>" />
			<input type="hidden" name="external_link" value="<?php echo $external_link; ?>" />
			<input type="hidden" name="offline_message" value="<?php echo $offline_message; ?>" />
			<input type="hidden" name="tsoid" value="<?php echo $tsoid; ?>" />
			<input type="hidden" name="mode" value="switchoffline" />

			<div class="rex-form-wrapper">
				
				<div class="rex-form-row">
					<p class="rex-form-col-a rex-form-text">
						<label for="siteoffline">Seitenstatus:</label>
						<?php $buttonvalue = ($siteoffline == 1) ? "Offline" : "Online"; ?>
						<input type="submit" name="siteoffline" class="rex-form-submit" value="<?php echo $buttonvalue; ?>" />
					</p>
				</div>
			</div>
			</fieldset>
		</form>
		</div>

		<p>&nbsp;</p>
		
		<div class="rex-addon-output">
			<h2 class="rex-hl2">Weiterleitungen / Statusmeldungen:</h2>
			<div id="rex-addon-editmode" class="rex-form">
				<form action="<?php echo $baseURL; ?>" name="<?php echo $thispage; ?>2" method="post">
					<fieldset class="rex-form-col-1">

					<input type="hidden" name="page" value="<?php echo $thispage; ?>" />
					<input type="hidden" name="subpage" value="<?php echo $thissubpage; ?>" />
					<input type="hidden" name="func" value="write" />
					<input type="hidden" name="mode" value="<?php echo htmlspecialchars($func); ?>" />
					<?php $clickvalue = ($siteoffline == 0) ? "Offline" : "Online"; ?>
					<input type="hidden" name="siteoffline" value="<?php echo $clickvalue; ?>" />

					<div class="rex-form-wrapper">

						<div class="rex-form-row">
							 <p class="rex-form-col-a rex-form-text">
								<label for="internal_link">Interner Link:</label>
								<?php
									$internal_link_name = "";
									if ($internal_link != "") {
										$article = OOArticle::getArticleById( $internal_link );
										if($article)
											$internal_link_name = $article->getName();
									}
								?>
											
								<input type="hidden" name="internal_link" id="LINK_1" value="<?php echo $internal_link; ?>" /> <input type="text" size="10" name="internal_link_name" value="<?php echo $internal_link_name; ?>" id="LINK_1_NAME" readonly="readonly" /> <a href="#" onclick="openLinkMap('LINK_1', '&clang=0&category_id=0');return false;" tabindex="24">  <img src="media/file_open.gif" width="16" height="16" alt="Öffne Strukturbaum" title="Öffne Strukturbaum" /> </a>
								<a href="#" onclick="deleteREXLink(1);return false;" tabindex="25">  <img src="media/file_del.gif" width="16" height="16" title="Auswahl entfernen" alt="Auswahl entfernen" /> </a>
							</p>
						</div>

						<div class="rex-form-row">
							 <p class="rex-form-col-a rex-form-text">
								<label for="external_link">Externer Link:</label>
								<input id="external_link" name="external_link" type="text" class="rex-form-text" value="<?php echo htmlspecialchars($external_link); ?>" />
							</p>
						</div>

						<div class="rex-form-row">
							 <p class="rex-form-col-a rex-form-text">
								<label for="offline_message">Textmeldung Offline:</label>
								<input id="offline_message" name="offline_message" type="text" class="rex-form-text" value="<?php echo $offline_message; ?>" />
							</p>
						</div>

						<div class="rex-form-row">
							 <p class="rex-form-col-a rex-form-text">&nbsp;
							</p>
						</div>

						<div class="rex-form-row">
							<p class="rex-form-col-a rex-form-text">
								<label for="external_link">Secure-ID:</label>
								<input id="tsoid" name="tsoid" type="text" class="rex-form-text" value="<?php echo $tsoid; ?>" />
								<img src="media/file_add.gif" width="16" height="16" title="ID generieren" alt="ID generieren" onClick="javascript:document.getElementById('tsoid').value = createUUID();" />
								<img src="media/file_del.gif" width="16" height="16" title="ID entfernen" alt="ID entfernen" onClick="javascript:document.getElementById('tsoid').value = '';" />
							</p>
							<p class="rex-form-col-a rex-form-text">
								<br /><br />
								<label for="dummy">&nbsp;</label>
								Die Seite ist dann durch Übergabe der Secure-ID dennoch sichtbar, z.B.: <a href="http://<?php echo $_SERVER['HTTP_HOST']; ?>/index.php?tsoid=<?php echo $tsoid; ?>" target="_blank">http://<?php echo $_SERVER['HTTP_HOST']; ?>/index.php?tsoid=<?php echo $tsoid; ?></a>
							</p>
						</div>

						<div class="rex-form-row">
							<p class="rex-form-col-a rex-form-submit rex-form-submit-2">
								<input type="submit" name="submit" class="rex-form-submit" value="Speichern" />&nbsp;
								<input type="submit" name="cancel" class="rex-form-submit" value="Abbrechen" />
							</p>
						</div>

					</div>
					</fieldset>
				</form>
			</div>
		</div>
		
	</div>
