<?php

	/*
	 * Addon tvssiteoffline
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: config.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$tvssiteofflinepage = 'tvssiteoffline'; // only for this file

	$REX['ADDON']['page'][$tvssiteofflinepage] = $tvssiteofflinepage;
	$REX['ADDON']['rxid'][$tvssiteofflinepage] = '788';
	$REX['ADDON']['name'][$tvssiteofflinepage] = 'TvsSiteOffline';
	$REX['ADDON']['perm'][$tvssiteofflinepage] = 'tvssiteoffline[]';
	$REX['ADDON']['version'][$tvssiteofflinepage] = "0.4";
	$REX['ADDON']['author'][$tvssiteofflinepage] = "Michael Wandel";

	$REX['PERM'][] = 'tvssiteoffline[]';

	$Basedir = dirname(__FILE__);
	$tvssiteofflineIniFile = $REX['INCLUDE_PATH'] . "/addons/" . $tvssiteofflinepage . "/" . $tvssiteofflinepage . ".ini";

	if ($REX['REDAXO'] != 1)
	//if($REX['GG'])
		rex_register_extension('OUTPUT_FILTER', 'tvssiteoffline_frontend');
	else 
		rex_register_extension('OUTPUT_FILTER', 'tvssiteoffline_backend');

	function tvssiteoffline_frontend($params) {

		global $REX;
		global $tvssiteofflineIniFile;
		$override = false;
		
		if (!isset ($_SESSION)) {
			session_start();
		}
		
		$logged_in = ($_SESSION[$REX['INSTNAME']]['UID'] != "") ? true : false;
		
		if (file_exists($tvssiteofflineIniFile)) {
			$settings			= parse_ini_file($tvssiteofflineIniFile);
			$siteoffline		= $settings['siteoffline'];
			$internal_link		= $settings['internal_link'];
			$external_link		= $settings['external_link'];
			$offline_message	= $settings['offline_message'];
			$tsoid				= $settings['tsoid'];
		}
		
		if ( $siteoffline == "1" ) {
			if (!$logged_in) {
		
				if ($tsoid != "") {
					if (rex_get('tsoid', 'string', '') != "")
						$_SESSION['tvssiteoffline']['tsoid'] = rex_get('tsoid', 'string', '');
						
					if ($_SESSION['tvssiteoffline']['tsoid'] != "") {

						if ($tsoid == $_SESSION['tvssiteoffline']['tsoid']) {
							$offsite = "<div style='height:30px;border:2px solid red;'><p style='color:red;text-align:center;font-size:15px; margin-top: 5px;'>Die Webseite ist offline geschaltet!</p></div>";
							$output = $params['subject'];
						
							$output = preg_replace('/<body(\s[^>]*)?>/i', '<body\\1>' . $offsite, $output);
							return $output;
							$override = true;
						}
					}
				}
				
				if ($override == false) {
					// Prio. 1: Interner Link
					if ($internal_link != "" && $internal_link != 0) {
						$artid = isset($_GET['article_id']) ? $_GET['article_id']+0 : 0;
						if ($artid==0) {
							$artid = $REX['ARTICLE']->getValue('article_id')+0;
						}
						if ($artid==0) { $artid = $REX['START_ARTICLE_ID']; }
						if ($artid == $internal_link) {
							$output = $params['subject'];
							return $output;
						}
						else {
							rex_redirect($internal_link, $REX['CUR_CLANG']);
						}
					}
					if ($external_link != "") {
						header('Location: ' . $external_link);
						exit();
					}
					else {
						$output = $offline_message;
						return $output;
					}
				}
			}
			else {
				$offsite = "<div style='height:30px;border:2px solid red;'><p style='color:red;text-align:center;font-size:15px; margin-top: 5px;'>Die Webseite ist offline geschaltet!</p></div>";
				$output = $params['subject'];
			
				$output = preg_replace('/<body(\s[^>]*)?>/i', '<body\\1>' . $offsite, $output);
				return $output;
			}
		}
	}

	function tvssiteoffline_backend($params) {

		global $tvssiteofflineIniFile;
		global $tvssiteofflinepage;
		
		if (file_exists($tvssiteofflineIniFile)) {
			$settings = parse_ini_file($tvssiteofflineIniFile);
			$siteoffline	= $settings['siteoffline'];
		} else {
			$siteoffline	= "0";
		}
		
		if ( $siteoffline == "1" ) {
			$offsite = "<div style='height:30px;border:2px solid red;'><p style='color:red;text-align:center;font-size:15px; padding-top: 5px;'>Die Webseite ist offline geschaltet, klicken Sie <a href=\"index.php?page=" . $tvssiteofflinepage . "\">hier</a> um die Einstellungen zu verändern!</p></div>";
			$output = $params['subject'];
		
			$output = preg_replace('/<body(\s[^>]*)?>/i', '<body\\1>' . $offsite, $output);
			return $output;
		}
		else {
			$output = $params['subject'];
			return $output;
		}
	}

?>